function msg = sgerrormsg(e)
%SGERRORMSG Return Matlab Exception as a string.
%   Msg = SGERRORMSG(Ex) returns the error message and the stack 
%   trace of the Exception Ex as a string.

if ~isa(e,'MException')
	msg = '';
end

msg = [e.message '%n  Trace from Matlab: '];
for k = 1:length(e.stack)
	msg= [msg '%n      Error in ' e.stack(k).name '  (line ' int2str(e.stack(k).line) '); '];
end

