function [status,jstr] = sgcallresetstart(winID,jstr,tol,gap)
%SGCALLRESETSTART Impose a structure to the start node.
%   Status = SGCALLRESETSTART(WinID,JSTR,Tol,Gap) is called from
%   StratiGraph to impose a new structure on the start node.
%   
%   [Status,iJstr] = SGCALLRESETSTART(WinID,Jstr,Tol,Gap) also returns the 
%   imposed structure iJstr. If everything is ok, iJstr and Jstr should be
%   equal.

status = java.lang.String('');

try
	com = sgwindata(winID);
	str = jstruct2mlstruct(jstr);
	
	if hasdata(com)
		[cstatus,msg] = com.impose(str,tol,gap);
		if cstatus
			% Something has gone wrong
			status = java.lang.String(msg);
		elseif nargout > 1
			jstr = tojava(com);
		end
	else
		com.assimilate(str);
		if nargout > 1
			jstr   = tojava(com);
		end
	end
	
catch e
	% Create and return error message
	status = sgerrormsg(e);
end